Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class HLIndividualImpl<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.EntityImpl<E>
          fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl<E>
              fr.inrialpes.exmo.ontosim.entity.model.HLIndividualImpl<E>

All Implemented Interfaces:
  Entity<E>, HLEntity<E>, HLIndividual<E>

    public class HLIndividualImpl<E>

extends HLEntityImpl<E>
implements HLIndividual<E>

Field Summary
`private List<Reference<Set<HLClass<E>>>>` | `classes`

Fields inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`fact, onto`

Constructor Summary
`protected` | `HLIndividualImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont, E e)`

Method Summary
`Set<HLClass<E>>` | `getClasses(int local, int asserted, int named)`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl
`getCapabilities, getIdx, getOntology`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.EntityImpl
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.HLEntity
`getOntology`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.Entity
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Field Detail

### classes

    private List<Reference<Set<HLClass<E>>>> classes

Constructor Detail

### HLIndividualImpl

    protected HLIndividualImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont,
                               E e)

Method Detail

### getClasses

    public Set<HLClass<E>> getClasses(int local,
                                      int asserted,
                                      int named)

  Specified by:
    `getClasses` in interface `HLIndividual<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009